import Vue from 'vue'
import Router from 'vue-router'
import { interopDefault } from './utils'

const _6035e538 = () => interopDefault(import('../pages/about.vue' /* webpackChunkName: "pages/about" */))
const _72bca1e3 = () => interopDefault(import('../pages/docs/index.vue' /* webpackChunkName: "pages/docs/index" */))
const _92223572 = () => interopDefault(import('../pages/docs/components/buttons.vue' /* webpackChunkName: "pages/docs/components/buttons" */))
const _58ef28a4 = () => interopDefault(import('../pages/docs/components/hero.vue' /* webpackChunkName: "pages/docs/components/hero" */))
const _44b6c0dc = () => interopDefault(import('../pages/docs/layout/grid.vue' /* webpackChunkName: "pages/docs/layout/grid" */))
const _4ff629b3 = () => interopDefault(import('../pages/docs/utilities/colours.vue' /* webpackChunkName: "pages/docs/utilities/colours" */))
const _28a047c6 = () => interopDefault(import('../pages/docs/utilities/flex.vue' /* webpackChunkName: "pages/docs/utilities/flex" */))
const _71e695de = () => interopDefault(import('../pages/docs/utilities/helpers.vue' /* webpackChunkName: "pages/docs/utilities/helpers" */))
const _6b0bb41c = () => interopDefault(import('../pages/docs/utilities/images.vue' /* webpackChunkName: "pages/docs/utilities/images" */))
const _5a76b862 = () => interopDefault(import('../pages/docs/utilities/spacing.vue' /* webpackChunkName: "pages/docs/utilities/spacing" */))
const _eec5e55a = () => interopDefault(import('../pages/docs/utilities/typography.vue' /* webpackChunkName: "pages/docs/utilities/typography" */))
const _1ae551b6 = () => interopDefault(import('../pages/docs/utilities/visibility.vue' /* webpackChunkName: "pages/docs/utilities/visibility" */))
const _7fedbffd = () => interopDefault(import('../pages/index.vue' /* webpackChunkName: "pages/index" */))

Vue.use(Router)

const scrollBehavior = function (to, from, savedPosition) {
      return { x: 0, y: 0 }
    }

export function createRouter() {
  return new Router({
    mode: 'history',
    base: '/rocket-css/',
    linkActiveClass: 'nuxt-link-active',
    linkExactActiveClass: 'nuxt-link-exact-active',
    scrollBehavior,

    routes: [{
      path: "/about",
      component: _6035e538,
      name: "about"
    }, {
      path: "/docs",
      component: _72bca1e3,
      name: "docs"
    }, {
      path: "/docs/components/buttons",
      component: _92223572,
      name: "docs-components-buttons"
    }, {
      path: "/docs/components/hero",
      component: _58ef28a4,
      name: "docs-components-hero"
    }, {
      path: "/docs/layout/grid",
      component: _44b6c0dc,
      name: "docs-layout-grid"
    }, {
      path: "/docs/utilities/colours",
      component: _4ff629b3,
      name: "docs-utilities-colours"
    }, {
      path: "/docs/utilities/flex",
      component: _28a047c6,
      name: "docs-utilities-flex"
    }, {
      path: "/docs/utilities/helpers",
      component: _71e695de,
      name: "docs-utilities-helpers"
    }, {
      path: "/docs/utilities/images",
      component: _6b0bb41c,
      name: "docs-utilities-images"
    }, {
      path: "/docs/utilities/spacing",
      component: _5a76b862,
      name: "docs-utilities-spacing"
    }, {
      path: "/docs/utilities/typography",
      component: _eec5e55a,
      name: "docs-utilities-typography"
    }, {
      path: "/docs/utilities/visibility",
      component: _1ae551b6,
      name: "docs-utilities-visibility"
    }, {
      path: "/",
      component: _7fedbffd,
      name: "index"
    }],

    fallback: false
  })
}
