# :rocket: Rocket CSS

### Rocket CSS is an open source, lightweight CSS framework built using Flexbox.

Rocket CSS is a small, lightweight CSS-only framework that allows you to quickly build web applications without the hassle of remembering 1,000s of classes. Unlike other CSS frameworks like Twitter Bootstrap, Rocket CSS comes with a handful of simple components which are all prefixed with the class `.rkt-` which makes it easier to integrate Rocket CSS into an existing site.

## Getting Started

Please visit the Rocket CSS site to get started: https://sts-ryan-holton.github.io/rocket-css/

Download the compiled and minified **rocketcss.css** file from `rocketcss-dist/css/rocketcss.css`

## Browser Support

Rocket CSS aims to support modern browsers. If you're using an older version than listed below, or your browser isn't listed, there's likely little support for this browser.

```
browsers: [
  "last 2 versions",
  ">= 0.2%",
  "Chrome >= 55",
  "Firefox >= 54",
  "iOS >= 10",
  "Safari >= 10",
  "Android >= 4.4"
]
```

## Issues

Submit a new relevant issue here: https://github.com/sts-ryan-holton/rocket-css/issues/new?template=bug_report.md

**Please be sure to search open issues first.**

## Feature Requests

If you have a feature request, please submit one here: https://github.com/sts-ryan-holton/rocket-css/issues/new?template=feature_request.md

## License

This project is owned, maintained and developed by: https://github.com/sts-ryan-holton

This is an open source project.
